KTextEditor::DocumentInfoInterface Class Referenceabstract

`#include <documentinfo.h>`

## Public Member Functions

virtual QString | mimeType ()=0
virtual long | fileSize ()=0
virtual QString | niceFileSize ()=0
unsigned int | documentInfoInterfaceNumber () const

## Protected Member Functions

void | setDocumentInfoInterfaceDCOPSuffix (const QCString &suffix)

## Friends

class | PrivateDocumentInterface

## Detailed Description

This is an interface for accessing information about files open in the Document, Plugin and PluginViewInterface classes.

Definition at line 34 of file documentinfo.h.

The documentation for this class was generated from the following files:

- documentinfo.h
- documentinfo.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys